Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.skype.api
Enum Participant.Rank

    java.lang.Object
      java.lang.Enum<Participant.Rank>
          com.skype.api.Participant.Rank

All Implemented Interfaces:
  EnumConverting, java.io.Serializable, java.lang.Comparable<Participant.Rank>

Enclosing class:
  Participant

    public static enum Participant.Rank

extends java.lang.Enum<Participant.Rank>
implements EnumConverting

Recognized values for the P_RANK property. The P_RANK controls participant's privileges in the conversation. See Participant.CanSetRankTo and Participant.SetRankTo methods.

Enum Constant Summary
`ADMIN` Participant who has administrator privileges
`APPLICANT` Participant who is applying to join the conversation.
`CREATOR` Creator of the chat.
`OUTLAW` Participant who has been banned from the chat
`RETIRED` Participant who has eft or has been kicked from the conversation
`SPEAKER` Participant who can speak and write
`SPECTATOR` Participant who can read but not write/speak
`WRITER` Participant who can write but not speak

Field Summary
`static int` | `ADMIN_VALUE`
`static int` | `APPLICANT_VALUE`
`static int` | `CREATOR_VALUE`
`static int` | `OUTLAW_VALUE`
`static int` | `RETIRED_VALUE`
`static int` | `SPEAKER_VALUE`
`static int` | `SPECTATOR_VALUE`
`static int` | `WRITER_VALUE`

Method Summary
`EnumConverting` | `convert(int from)`
`static Participant.Rank` | `get(int from)`
`EnumConverting[]` | `getArray(int size)`
`EnumConverting` | `getDefault()`
`int` | `getId()`
`static Participant.Rank` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Participant.Rank[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### CREATOR

    public static final Participant.Rank CREATOR

  Creator of the chat. There can be only one participant with this type per conversation. Other participants cannot be promoted to Creator rank.

### ADMIN

    public static final Participant.Rank ADMIN

  Participant who has administrator privileges

### SPEAKER

    public static final Participant.Rank SPEAKER

  Participant who can speak and write

### WRITER

    public static final Participant.Rank WRITER

  Participant who can write but not speak

### SPECTATOR

    public static final Participant.Rank SPECTATOR

  Participant who can read but not write/speak

### APPLICANT

    public static final Participant.Rank APPLICANT

  Participant who is applying to join the conversation. Member cannot be demoted to applicants once they have been accepted.

### RETIRED

    public static final Participant.Rank RETIRED

  Participant who has eft or has been kicked from the conversation

### OUTLAW

    public static final Participant.Rank OUTLAW

  Participant who has been banned from the chat

Field Detail

### CREATOR_VALUE

    public static final int CREATOR_VALUE

See Also:
  Constant Field Values

### ADMIN_VALUE

    public static final int ADMIN_VALUE

See Also:
  Constant Field Values

### SPEAKER_VALUE

    public static final int SPEAKER_VALUE

See Also:
  Constant Field Values

### WRITER_VALUE

    public static final int WRITER_VALUE

See Also:
  Constant Field Values

### SPECTATOR_VALUE

    public static final int SPECTATOR_VALUE

See Also:
  Constant Field Values

### APPLICANT_VALUE

    public static final int APPLICANT_VALUE

See Also:
  Constant Field Values

### RETIRED_VALUE

    public static final int RETIRED_VALUE

See Also:
  Constant Field Values

### OUTLAW_VALUE

    public static final int OUTLAW_VALUE

See Also:
  Constant Field Values

Method Detail

### values

    public static Participant.Rank[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Participant.Rank c : Participant.Rank.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Participant.Rank valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### getId

    public int getId()

  Specified by:
    `getId` in interface `EnumConverting`

### getDefault

    public EnumConverting getDefault()

  Specified by:
    `getDefault` in interface `EnumConverting`

### convert

    public EnumConverting convert(int from)

  Specified by:
    `convert` in interface `EnumConverting`

### getArray

    public EnumConverting[] getArray(int size)

  Specified by:
    `getArray` in interface `EnumConverting`

### get

    public static Participant.Rank get(int from)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2010, 2011 Skype Technologies. All Rights Reserved.